Jump to content
ElementaryOS France
  • 0

Erreur mise à jour du systeme


diplo
 Share

Question

Bonjour à tous,

Depuis quelques jours j'ai une erreur lorsque j'essaie de mettre le système à jour. En fait même plusieurs erreurs :(

Au départ j'ai installé EOS pour tester, et n'ayant aucune culture Linux j'ai probablement été un peu "bourrin". Mais maintenant que je l'ai adopté, je voudrais faire les choses correctement et m'éduquer.

Merci d'avance pour votre aide et votre patience..

voici les erreurs:

initramfs-tools
 linux-image-5.13.0-27-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

et depuis le centre d'application:

W: Une erreur s'est produite lors du contrôle de la signature. Le dépôt n'est pas mis à jour et les fichiers d'index précédents seront utilisés. Erreur de GPG : http://repo.mysql.com/apt/ubuntu bionic InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 467B942D3A79BD29
E: http://repo.mysql.com/apt/ubuntu bionic InRelease is not (yet) available (Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 467B942D3A79BD29)

J'ai essayé de mettre à jour mysql-server seul,mais impossible, les erreurs ci-dessus sont affichées.
 

Link to comment
Share on other sites

10 answers to this question

Recommended Posts

  • 0

c'est ton dépôts mysql qui pose problème.

Il y a 17 heures, diplo a dit :
E: http://repo.mysql.com/apt/ubuntu bionic InRelease is not (yet) available 

bionic fait référence a la version ubuntu 

Ubuntu 18.04 LTS Bionic Beaver => elementary OS 5 Hera

Ubuntu 20.04 LTS Focal Fossa => elementary OS 6 Odin/Jólnir

  Il faut donc réucpérer le bon dépôt qui va avec la bonne version de ta distribution.  
   
Link to comment
Share on other sites

  • 0

Merci pour ton aide.

J'ai essayé de supprimer mysql-server mais je pense que ça ne fonctionne pas:

sudo apt-get remove --purge mysql-server mysql-client mysql-common

cela donne:

Des erreurs ont été rencontrées pendant l'exécution :
 initramfs-tools
 linux-image-5.13.0-27-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

si ensuite je fais:

sudo apt-get autoremove

cela donne:

constantin@Elementary:~$ sudo apt-get autoremove
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 3 non mis à jour.
2 partiellement installés ou enlevés.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
Paramétrage de initramfs-tools (0.136ubuntu6.6) ...
update-initramfs: deferring update (trigger activated)
Paramétrage de linux-image-5.13.0-27-generic (5.13.0-27.29~20.04.1) ...
Traitement des actions différées (« triggers ») pour initramfs-tools (0.136ubuntu6.6) ...
update-initramfs: Generating /boot/initrd.img-5.13.0-25-generic
cryptsetup: WARNING: Resume target cryptswap uses a key file
Error 24 : Write error : cannot write compressed block 
E: mkinitramfs failure cpio 141 lz4 -9 -l 24
update-initramfs: failed for /boot/initrd.img-5.13.0-25-generic with 1.
dpkg: erreur de traitement du paquet initramfs-tools (--configure) :
 installed initramfs-tools package post-installation script subprocess returned error exit status 1
Traitement des actions différées (« triggers ») pour linux-image-5.13.0-27-generic (5.13.0-27.29~20.04.1) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-5.13.0-27-generic
cryptsetup: WARNING: Resume target cryptswap uses a key file
Error 24 : Write error : cannot write compressed block 
E: mkinitramfs failure cpio 141 lz4 -9 -l 24
update-initramfs: failed for /boot/initrd.img-5.13.0-27-generic with 1.
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
dpkg: erreur de traitement du paquet linux-image-5.13.0-27-generic (--configure) :
 installed linux-image-5.13.0-27-generic package post-installation script subprocess returned error exit status 1
Des erreurs ont été rencontrées pendant l'exécution :
 initramfs-tools
 linux-image-5.13.0-27-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

après redémarrage (je ne sais pas si c'est utile?), j'ai toujours ce même message d'erreur dans le centre d'applications:

W: Une erreur s'est produite lors du contrôle de la signature. Le dépôt n'est pas mis à jour et les fichiers d'index précédents seront utilisés. Erreur de GPG : http://repo.mysql.com/apt/ubuntu bionic InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 467B942D3A79BD29
E: http://repo.mysql.com/apt/ubuntu bionic InRelease is not (yet) available (Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 467B942D3A79BD29)

Si j'essaie d'installer quelque chose, j'ai aussi ce même d'erreur:

Des erreurs ont été rencontrées pendant l'exécution :
 initramfs-tools
 linux-image-5.13.0-27-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

Y a quelque chose qui coince :(

Capture d'écran du 2022-01-21 14.54.16.png

Link to comment
Share on other sites

  • 0

 ça donne:ça donne:

Atteint :1 http://ppa.launchpad.net/elementary-os/stable/ubuntu focal InRelease
Atteint :2 http://packages.microsoft.com/repos/code stable InRelease                                    
Atteint :4 http://ppa.launchpad.net/elementary-os/os-patches/ubuntu focal InRelease                                                            
Réception de :5 http://mirrors.ubuntu.com/mirrors.txt Mirrorlist [617 B]
Atteint :6 https://mirror.crexio.com/ubuntu focal InRelease                                     
Réception de :7 https://mirror.crexio.com/ubuntu focal-updates InRelease [114 kB]      
Atteint :3 https://s3.amazonaws.com/toptracker/desktop/builds debian/ InRelease
114 ko réceptionnés en 1s (80,9 ko/s)              
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
3 paquets peuvent être mis à jour. Exécutez « apt list --upgradable » pour les voir.


constantin@Elementary:~$ apt list --upgradable
En train de lister... Fait
vim-common/focal-updates 2:8.1.2269-1ubuntu5.6 all [pouvant être mis à jour depuis : 2:8.1.2269-1ubuntu5.4]
vim-tiny/focal-updates 2:8.1.2269-1ubuntu5.6 amd64 [pouvant être mis à jour depuis : 2:8.1.2269-1ubuntu5.4]
xxd/focal-updates 2:8.1.2269-1ubuntu5.6 amd64 [pouvant être mis à jour depuis : 2:8.1.2269-1ubuntu5.4]

 

Link to comment
Share on other sites

  • 0

En essayant de mettre à jour depuis le centre d'applications il y a cette erreur:

Error while installing package: installed initramfs-tools package post-installation script subprocess returned error exit status 1

 

Link to comment
Share on other sites

  • 0

retour de commandes qui peuvent être  utiles:

constantin@Elementary:~$ df -h / /boot
Sys. de fichiers      Taille Utilisé Dispo Uti% Monté sur
/dev/mapper/data-root   224G     37G  176G  18% /
/dev/sdc1               724M    694M     0 100% /boot
constantin@Elementary:~$ uname -a
Linux Elementary 5.13.0-25-generic #26~20.04.1-Ubuntu SMP Fri Jan 7 16:27:40 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux
constantin@Elementary:~$ ls -lh /boot
total 686M
-rw-r--r-- 1 root root 249K oct.  26 17:50 config-5.11.0-40-generic
-rw-r--r-- 1 root root 249K nov.  10 10:56 config-5.11.0-41-generic
-rw-r--r-- 1 root root 249K déc.  13 11:45 config-5.11.0-43-generic
-rw-r--r-- 1 root root 249K déc.  14 11:29 config-5.11.0-44-generic
-rw-r--r-- 1 root root 249K janv.  7 00:13 config-5.11.0-46-generic
-rw-r--r-- 1 root root 252K janv.  7 16:50 config-5.13.0-25-generic
-rw-r--r-- 1 root root 252K janv. 14 00:11 config-5.13.0-27-generic
drwxr-xr-x 4 root root 4,0K janv. 18 06:57 grub
lrwxrwxrwx 1 root root   28 janv. 20 16:21 initrd.img -> initrd.img-5.13.0-27-generic
-rw-r--r-- 1 root root  95M janv. 13 13:47 initrd.img-5.11.0-40-generic
-rw-r--r-- 1 root root  95M janv. 13 13:46 initrd.img-5.11.0-41-generic
-rw-r--r-- 1 root root  95M janv. 13 13:46 initrd.img-5.11.0-43-generic
-rw-r--r-- 1 root root  95M janv. 13 13:46 initrd.img-5.11.0-44-generic
-rw-r--r-- 1 root root  95M janv. 13 13:46 initrd.img-5.11.0-46-generic
-rw-r--r-- 1 root root  97M janv. 18 06:56 initrd.img-5.13.0-25-generic
lrwxrwxrwx 1 root root   28 janv. 19 05:48 initrd.img.old -> initrd.img-5.13.0-25-generic
drwx------ 2 root root  16K nov.   4 11:28 lost+found
-rw------- 1 root root 5,6M oct.  26 17:50 System.map-5.11.0-40-generic
-rw------- 1 root root 5,6M nov.  10 10:56 System.map-5.11.0-41-generic
-rw------- 1 root root 5,6M déc.  13 11:45 System.map-5.11.0-43-generic
-rw------- 1 root root 5,6M déc.  14 11:29 System.map-5.11.0-44-generic
-rw------- 1 root root 5,6M janv.  7 00:13 System.map-5.11.0-46-generic
-rw------- 1 root root 5,7M janv.  7 16:50 System.map-5.13.0-25-generic
-rw------- 1 root root 5,7M janv. 14 00:11 System.map-5.13.0-27-generic
lrwxrwxrwx 1 root root   25 janv. 19 05:48 vmlinuz -> vmlinuz-5.13.0-27-generic
-rw------- 1 root root  12M oct.  26 17:56 vmlinuz-5.11.0-40-generic
-rw------- 1 root root  12M nov.  10 10:58 vmlinuz-5.11.0-41-generic
-rw------- 1 root root  12M déc.  13 11:49 vmlinuz-5.11.0-43-generic
-rw------- 1 root root  12M déc.  14 16:23 vmlinuz-5.11.0-44-generic
-rw------- 1 root root  12M janv.  7 00:27 vmlinuz-5.11.0-46-generic
-rw------- 1 root root 9,7M janv.  7 16:50 vmlinuz-5.13.0-25-generic
-rw------- 1 root root 9,7M janv. 14 00:50 vmlinuz-5.13.0-27-generic
lrwxrwxrwx 1 root root   25 janv. 19 05:48 vmlinuz.old -> vmlinuz-5.13.0-25-generic
constantin@Elementary:~$

 

Link to comment
Share on other sites

  • 0

Merci pour ton aide, malheureusement toujours la même erreur:

constantin@Elementary:/boot$  sudo apt dist-upgrade -y && sudo apt autoremove -y 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
2 partiellement installés ou enlevés.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
Paramétrage de initramfs-tools (0.136ubuntu6.6) ...
update-initramfs: deferring update (trigger activated)
Paramétrage de linux-image-5.13.0-27-generic (5.13.0-27.29~20.04.1) ...
Traitement des actions différées (« triggers ») pour initramfs-tools (0.136ubuntu6.6) ...
update-initramfs: Generating /boot/initrd.img-5.13.0-25-generic
cryptsetup: WARNING: Resume target cryptswap uses a key file
Error 24 : Write error : cannot write compressed block 
E: mkinitramfs failure cpio 141 lz4 -9 -l 24
update-initramfs: failed for /boot/initrd.img-5.13.0-25-generic with 1.
dpkg: erreur de traitement du paquet initramfs-tools (--configure) :
 installed initramfs-tools package post-installation script subprocess returned error exit status 1
Traitement des actions différées (« triggers ») pour linux-image-5.13.0-27-generic (5.13.0-27.29~20.04.1) ..
.
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-5.13.0-27-generic
cryptsetup: WARNING: Resume target cryptswap uses a key file
Error 24 : Write error : cannot write compressed block 
E: mkinitramfs failure cpio 141 lz4 -9 -l 24
update-initramfs: failed for /boot/initrd.img-5.13.0-27-generic with 1.
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
dpkg: erreur de traitement du paquet linux-image-5.13.0-27-generic (--configure) :
 installed linux-image-5.13.0-27-generic package post-installation script subprocess returned error exit sta
tus 1
Des erreurs ont été rencontrées pendant l'exécution :
 initramfs-tools
 linux-image-5.13.0-27-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

 

Link to comment
Share on other sites

  • 0

du coup je suis hyper embêté  je ne peux pas non plus reinstaller mysql et j'en ai besoin :(

constantin@Elementary:~$ sudo apt install mysql-server
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets supplémentaires suivants seront installés : 
  libevent-pthreads-2.1-7 mysql-client-8.0 mysql-client-core-8.0 mysql-common mysql-server-8.0
  mysql-server-core-8.0
Paquets suggérés :
  mailx tinyca
Les NOUVEAUX paquets suivants seront installés :
  libevent-pthreads-2.1-7 mysql-client-8.0 mysql-client-core-8.0 mysql-common mysql-server
  mysql-server-8.0 mysql-server-core-8.0
0 mis à jour, 7 nouvellement installés, 0 à enlever et 0 non mis à jour.
2 partiellement installés ou enlevés.
Il est nécessaire de prendre 24,2 Mo dans les archives.
Après cette opération, 204 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Réception de :1 http://mirrors.ubuntu.com/mirrors.txt Mirrorlist [617 B]
Réception de :4 http://www-ftp.lip6.fr/pub/linux/distributions/Ubuntu/archive focal-updates/main amd64 mysql-client-8.0 amd64 8.0.27-0ubuntu0.20.04.1 [22,0 kB]
Réception de :5 http://distrib-coffee.ipsl.jussieu.fr/pub/linux/ubuntu focal/main amd64 libevent-pthreads-2.1-7 amd64 2.1.11-stable-1 [7 372 B]
Réception de :6 https://ubuntu.lafibre.info/ubuntu focal-updates/main amd64 mysql-server-core-8.0 amd64 8.0.27-0ubuntu0.20.04.1 [18,4 MB]
Réception de :3 https://mirror.crexio.com/ubuntu focal-updates/main amd64 mysql-client-core-8.0 amd64 8.0.27-0ubuntu0.20.04.1 [4 423 kB]
Réception de :2 https://mirror.ubuntu.ikoula.com focal/main amd64 mysql-common all 5.8+1.0.5ubuntu2 [7 496 B]
Réception de :7 http://miroir.univ-lorraine.fr/ubuntu focal-updates/main amd64 mysql-server-8.0 amd64 8.0.27-0ubuntu0.20.04.1 [1 313 kB]
Réception de :8 http://miroir.univ-lorraine.fr/ubuntu focal-updates/main amd64 mysql-server all 8.0.27-0ubuntu0.20.04.1 [9 548 B]
24,2 Mo réceptionnés en 22s (1 122 ko/s)                                                                   
Préconfiguration des paquets...
Sélection du paquet mysql-common précédemment désélectionné.
(Lecture de la base de données... 389685 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../mysql-common_5.8+1.0.5ubuntu2_all.deb ...
Dépaquetage de mysql-common (5.8+1.0.5ubuntu2) ...
Sélection du paquet mysql-client-core-8.0 précédemment désélectionné.
Préparation du dépaquetage de .../mysql-client-core-8.0_8.0.27-0ubuntu0.20.04.1_amd64.deb ...
Dépaquetage de mysql-client-core-8.0 (8.0.27-0ubuntu0.20.04.1) ...
Sélection du paquet mysql-client-8.0 précédemment désélectionné.
Préparation du dépaquetage de .../mysql-client-8.0_8.0.27-0ubuntu0.20.04.1_amd64.deb ...
Dépaquetage de mysql-client-8.0 (8.0.27-0ubuntu0.20.04.1) ...
Sélection du paquet libevent-pthreads-2.1-7:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../libevent-pthreads-2.1-7_2.1.11-stable-1_amd64.deb ...
Dépaquetage de libevent-pthreads-2.1-7:amd64 (2.1.11-stable-1) ...
Sélection du paquet mysql-server-core-8.0 précédemment désélectionné.
Préparation du dépaquetage de .../mysql-server-core-8.0_8.0.27-0ubuntu0.20.04.1_amd64.deb ...
Dépaquetage de mysql-server-core-8.0 (8.0.27-0ubuntu0.20.04.1) ...
Paramétrage de mysql-common (5.8+1.0.5ubuntu2) ...
update-alternatives: utilisation de « /etc/mysql/my.cnf.fallback » pour fournir « /etc/mysql/my.cnf » (my.cn
f) en mode automatique
Sélection du paquet mysql-server-8.0 précédemment désélectionné.
(Lecture de la base de données... 389895 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../mysql-server-8.0_8.0.27-0ubuntu0.20.04.1_amd64.deb ...
Dépaquetage de mysql-server-8.0 (8.0.27-0ubuntu0.20.04.1) ...
Sélection du paquet mysql-server précédemment désélectionné.
Préparation du dépaquetage de .../mysql-server_8.0.27-0ubuntu0.20.04.1_all.deb ...
Dépaquetage de mysql-server (8.0.27-0ubuntu0.20.04.1) ...
Paramétrage de mysql-client-core-8.0 (8.0.27-0ubuntu0.20.04.1) ...
Paramétrage de initramfs-tools (0.136ubuntu6.6) ...
update-initramfs: deferring update (trigger activated)
Paramétrage de linux-image-5.13.0-27-generic (5.13.0-27.29~20.04.1) ...
Paramétrage de mysql-client-8.0 (8.0.27-0ubuntu0.20.04.1) ...
Paramétrage de libevent-pthreads-2.1-7:amd64 (2.1.11-stable-1) ...
Paramétrage de mysql-server-core-8.0 (8.0.27-0ubuntu0.20.04.1) ...
Paramétrage de mysql-server-8.0 (8.0.27-0ubuntu0.20.04.1) ...
update-alternatives: utilisation de « /etc/mysql/mysql.cnf » pour fournir « /etc/mysql/my.cnf » (my.cnf) en 
mode automatique
mysqld will log errors to /var/log/mysql/error.log
mysqld is running as pid 71575
Erreur de l'analyseur AppArmor pour /etc/apparmor.d/usr.sbin.mysqld in /etc/apparmor.d/usr.sbin.mysqld ? la 
ligne 9 : Impossible d'ouvrir << abstractions/mysql >>
Paramétrage de mysql-server (8.0.27-0ubuntu0.20.04.1) ...
Traitement des actions différées (« triggers ») pour systemd (245.4-4ubuntu3.15) ...
Traitement des actions différées (« triggers ») pour man-db (2.9.1-1) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.31-0ubuntu9.2) ...
Traitement des actions différées (« triggers ») pour initramfs-tools (0.136ubuntu6.6) ...
update-initramfs: Generating /boot/initrd.img-5.13.0-25-generic
cryptsetup: WARNING: Resume target cryptswap uses a key file
Error 24 : Write error : cannot write compressed block 
E: mkinitramfs failure cpio 141 lz4 -9 -l 24
update-initramfs: failed for /boot/initrd.img-5.13.0-25-generic with 1.
dpkg: erreur de traitement du paquet initramfs-tools (--configure) :
 installed initramfs-tools package post-installation script subprocess returned error exit status 1
Traitement des actions différées (« triggers ») pour linux-image-5.13.0-27-generic (5.13.0-27.29~20.04.1) ..
.
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-5.13.0-27-generic
cryptsetup: WARNING: Resume target cryptswap uses a key file
Error 24 : Write error : cannot write compressed block 
E: mkinitramfs failure cpio 141 lz4 -9 -l 24
update-initramfs: failed for /boot/initrd.img-5.13.0-27-generic with 1.
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
dpkg: erreur de traitement du paquet linux-image-5.13.0-27-generic (--configure) :
 installed linux-image-5.13.0-27-generic package post-installation script subprocess returned error exit sta
tus 1
Des erreurs ont été rencontrées pendant l'exécution :
 initramfs-tools
 linux-image-5.13.0-27-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

 

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...